# -*- encoding: utf-8 -*-
# stub: raiblocks_rpc 0.5.0 ruby lib

Gem::Specification.new do |s|
  s.name = "raiblocks_rpc".freeze
  s.version = "0.5.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Justin Craig-Kuhn (JCK)".freeze]
  s.bindir = "exe".freeze
  s.date = "2018-01-31"
  s.description = "An RPC wrapper for RaiBlocks nodes written in Ruby.It connects to an individual node that you control. There's a client object you can use to make explicit RPC calls as well as proxy objects with logically grouped methods.".freeze
  s.email = ["jcraigk@gmail.com".freeze]
  s.homepage = "https://github.com/jcraigk/ruby_raiblocks_rpc".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "  !    The `raiblocks_rpc` gem has been deprecated and has been replaced by `nano_rpc`.\n  !    See: https://rubygems.org/gems/nano_rpc\n  !    And: https://github.com/jcraigk/ruby_nano_rpc\n".freeze
  s.rubygems_version = "3.2.22".freeze
  s.summary = "RPC wrapper for RaiBlocks nodes written in Ruby".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.16"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.11.3"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.52.1"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.15.1"])
    s.add_runtime_dependency(%q<hashie>.freeze, ["~> 3.5", ">= 3.5.7"])
    s.add_runtime_dependency(%q<rest-client>.freeze, ["~> 2.0", ">= 2.0.2"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.16"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.11.3"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.52.1"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.15.1"])
    s.add_dependency(%q<hashie>.freeze, ["~> 3.5", ">= 3.5.7"])
    s.add_dependency(%q<rest-client>.freeze, ["~> 2.0", ">= 2.0.2"])
  end
end
